Skip to main content
POST
/
v1
/
personas
/
{persona_id}
/
sources
Add source
curl --request POST \
  --url https://reelmirror.com/api/v1/personas/{persona_id}/sources \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "platform": "instagram",
  "handle": "<string>",
  "automation_mode": "sync_only"
}
'
{
  "data": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "creator_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "platform": "instagram",
    "handle": "<string>",
    "automation_mode": "sync_only",
    "status": "pending",
    "last_synced_at": "2023-11-07T05:31:56Z",
    "content_count": 123,
    "created_at": "2023-11-07T05:31:56Z"
  }
}

Authorizations

Authorization
string
header
required

API key (rm_xxx) or JWT token

Path Parameters

persona_id
string
required

Body

application/json
platform
enum<string>
required
Available options:
instagram,
tiktok
handle
string
required

Social account handle (e.g. natgeo). Leading @ is stripped automatically.

automation_mode
enum<string>
default:sync_only

Automation level for this source. Defaults to sync_only.

Available options:
sync_only,
auto_clone,
auto_publish

Response

201 - application/json

Source added

data
object